Last modified: 2014-07-28 10:21:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 23234 - Remove usages of deprecated Linker calls from core
Remove usages of deprecated Linker calls from core
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
General/Unknown (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2010-04-18 14:52 UTC by Derk-Jan Hartman
Modified: 2014-07-28 10:21 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Derk-Jan Hartman 2010-04-18 14:52:25 UTC
Several of the deprecated functions of Linker.php are still in use by the mediawiki core.
These calls should probably be converted.

0 makeLink
0 makeKnownLink
1 makeBrokenLink (parser/LinkHolderArray)
0 makeStubLink
0 makeLinkObj
0 makeKnownLinkObj
1 makeBrokenLinkObj (parser/LinkHolderArray)
0 makeStubLinkObj
1 makeColouredLinkObj (parser/LinkHolderArray)
0 makeImageLinkObj
2 makeMediaLink (parser/Parser.php, specials/SpecialMIMEsearch)
Comment 1 Alex Monk 2012-04-07 22:26:31 UTC
Repurposed this bug slightly because these functions should be removed completely now.

Pushed in Gerrit change #4536.
Comment 2 Alex Monk 2012-04-07 23:00:00 UTC
Change was abandoned, apparently those functions shouldn't be removed, just the calls to them fixed.
Comment 3 Umherirrender 2014-07-28 10:21:09 UTC
Linker::makeBrokenLink already removed
Linker::makeBrokenLinkObj already removed
Linker::makeColouredLinkObj already removed
Linker::makeMediaLink already removed

All callers in core are replaced, so this bug is fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links